package com.ynet.life.mvc.upload;

package ..deTemp.1735193029798;

import cn.hutool.core.io.FileTypeUtil;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.gene.flow.GENEFlow;
import com.ynet.gene.log.GENELog;
import com.ynet.gene.session.Session;
import com.ynet.gene.transaction.GENETransactionManager;
import com.ynet.gene.web.multipart.GENEMultipartHttpServletRequest;
import com.ynet.gene.web.multipart.MultipartHttpServletRequest;
import com.ynet.gene.web.multipart.UploadStatusListener;
import com.ynet.gene.web.multipart.implement.GENEMultipartFile;
import com.ynet.gene.web.servlet.ModelAndView;
import com.ynet.gene.web.servlet.mvc.GENEFlowExecuteResult;
import com.ynet.life.base.LifeErrorInfo;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.MVCEntity;
import com.ynet.life.base.TEntity;
import com.ynet.life.base.Trace;
import com.ynet.life.cache.Cache;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.exception.UploadFileFailedException;
import com.ynet.life.file.LifeFile;
import com.ynet.life.mvc.upload.ReduceImg;
import com.ynet.life.mvc.upload.UploadController;
import com.ynet.life.mvc.upload.UploadRequest;
import com.ynet.life.mvc.upload.UploadView;
import com.ynet.life.util.RadomUtil;
import java.io.File;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Random;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.commons.fileupload.FileItem;
import org.apache.commons.fileupload.FileItemFactory;
import org.apache.commons.fileupload.FileUploadBase;
import org.apache.commons.fileupload.FileUploadException;
import org.apache.commons.fileupload.disk.DiskFileItemFactory;
import org.apache.commons.fileupload.servlet.ServletFileUpload;
import org.apache.commons.lang.StringUtils;

public class MultiSingleFileUploadRequestController extends UploadController {
  private static final String ERROR_CODE_FIELD = "errorCodeField";
  
  private static final String ERROR_MSG_FIELD = "errorMsgField";
  
  private static final String DEFAULT_ERROR_CODE = "EBLN0000";
  
  private long maxFileSize = 10485760L;
  
  private int bufferSize = 10240;
  
  private String tempFileFolder = null;
  
  private String uploadFileFolder = null;
  
  private boolean tmpFile = true;
  
  private Map mvcMap = new HashMap<>();
  
  private static final String PARAM_CHECK_CODE_NAME = "checkCode";
  
  private static final String PARAM_SESSION_OBJECT_NAME = "verifyObj";
  
  private static final String PARAM_SESSION_VERIFY_OBJECT_TIME = "session_verifyObjTime";
  
  private static final String dynamicFolderName = "remoteFilePath";
  
  long verifyObjTimeOut = 120000L;
  
  public ModelAndView doRequest(HttpServletRequest request, HttpServletResponse response) throws Exception {
    LifeErrorInfo errorInfo;
    String errorMsg, str1;
    LifeErrorInfo lifeErrorInfo1;
    if (this.openMonitor)
      this.accessInfo.newAccess(); 
    Map<Object, Object> model = new HashMap<>();
    UploadView uploadView = new UploadView();
    String mvcName = (String)request.getAttribute(GENEConstance.ATTR_ACTIONID);
    request.getParameter(TEntity.appKeyFieldname);
    try {
      if (isMultipart(request)) {
        GENEMultipartHttpServletRequest theRequest = resolverMultipart(request, null);
      } else {
        Trace.logError("LifeFile", String.valueOf(mvcName) + "没有文件上传权限");
        model.put("errorCodeField", "EBLN0000");
        model.put("errorMsgField", String.valueOf(mvcName) + "没有文件上传权限");
        return new ModelAndView(model, uploadView);
      } 
    } catch (Exception e) {
      String str2, str3;
      Trace.logError("LifeFile", e.getMessage());
      if (e instanceof GENEException) {
        str2 = ((GENEException)e).getErrorCode();
        if ((str3 = ((GENEException)e).getShowMessage()) == null || "".equals(str3))
          str3 = ((errorInfo = LifeStandard.getErrorInfo(str2)) != null) ? errorInfo.getShowMsg() : ""; 
      } else {
        str2 = "EBLN0000";
        str3 = e.getMessage();
      } 
      model.put("errorCodeField", str2);
      model.put("errorMsgField", str3);
      return new ModelAndView(model, uploadView);
    } 
    UploadRequest mvc = (UploadRequest)this.mvcMap.get(e);
    Context sessionContext = null;
    if (mvc.isCheckSession()) {
      Session session;
      try {
        session = doSessionCheck((HttpServletRequest)errorInfo, response);
      } catch (Exception exception) {
        Trace.logError("LifeSession", "Session not exist or timeout");
        model.put("errorCodeField", "EBLN1000");
        return new ModelAndView(model, uploadView);
      } 
      if (session == null) {
        Trace.logError("LifeSession", "Session not exist or timeout");
        model.put("errorCodeField", "EBLN1000");
        return new ModelAndView(model, uploadView);
      } 
      sessionContext = (Context)session.getAttribute(GENEConstance.ATTR_CONTEXT);
      errorInfo.setAttribute(GENEConstance.GENE_SESSION, session);
    } 
    if (sessionContext != null)
      try {
        preActionWork((HttpServletRequest)errorInfo, sessionContext, mvc);
      } catch (Exception exception) {
        Trace.logError("LifeFile", exception.getMessage());
        if (exception instanceof GENEException) {
          str1 = ((GENEException)exception).getErrorCode();
          if ((errorMsg = ((GENEException)exception).getShowMessage()) == null || "".equals(errorMsg))
            errorMsg = ((lifeErrorInfo1 = LifeStandard.getErrorInfo(str1)) != null) ? lifeErrorInfo1.getShowMsg() : ""; 
        } else {
          str1 = "EBLN0000";
          errorMsg = errorMsg.getMessage();
        } 
        model.put("errorCodeField", str1);
        model.put("errorMsgField", errorMsg);
        return new ModelAndView(model, uploadView);
      }  
    try {
      GENEFlowExecuteResult result;
      Context context = (result = executeGENELogic(sessionContext, (GENEMultipartHttpServletRequest)errorMsg, (HttpServletResponse)str1)).context;
      KeyedCollection output = (KeyedCollection)result.flow.getOutput(lifeErrorInfo1.getOpId());
      model.put(GENEConstance.ATTR_CONTEXT, context);
      model.put(GENEConstance.ATTR_FLOW_OUTPUT, output);
      if (result.e != null) {
        String str2, str3;
        Trace.logError(GENEConstance.GENE_MVC, result.e.getMessage(), result.e);
        if (result.e instanceof GENEException) {
          str3 = ((GENEException)result.e).getErrorCode();
          if ((str2 = ((GENEException)result.e).getShowMessage()) == null || "".equals(str2)) {
            LifeErrorInfo lifeErrorInfo;
            String str = ((lifeErrorInfo = LifeStandard.getErrorInfo(str3)) != null) ? lifeErrorInfo.getShowMsg() : "";
          } 
        } else {
          str3 = "EBLN0000";
          str2 = result.e.getMessage();
        } 
        model.put("errorCodeField", str3);
        model.put("errorMsgField", str2);
      } 
    } catch (Exception ex) {
      String str;
      Trace.logError("LifeFile", ex.getMessage());
      if (ex instanceof GENEException) {
        String ec = ((GENEException)ex).getErrorCode();
        if ((str = ((GENEException)ex).getShowMessage()) == null || "".equals(str)) {
          LifeErrorInfo lifeErrorInfo;
          String str2 = ((lifeErrorInfo = LifeStandard.getErrorInfo(ec)) != null) ? lifeErrorInfo.getShowMsg() : "";
        } 
      } else {
        errorMsg = "EBLN0000";
        str = ex.getMessage();
      } 
      model.put("errorCodeField", errorMsg);
      model.put("errorMsgField", str);
      return new ModelAndView(model, uploadView);
    } 
    return new ModelAndView(model, uploadView);
  }
  
  private boolean canPassTimeOut(HttpServletRequest request, String code) {
    String productMode = LifeStandard.getBankSettingsValue("productMode");
    if (!"true".equals(productMode))
      return true; 
    HttpSession cSession;
    Long session_verifyObjTime = (Long)(cSession = request.getSession()).getAttribute("session_verifyObjTime");
    long currentTime = System.currentTimeMillis();
    if (session_verifyObjTime == null)
      return false; 
    boolean isTimeout = (currentTime - session_verifyObjTime.longValue() < this.verifyObjTimeOut);
    cSession.removeAttribute("session_verifyObjTime");
    return isTimeout;
  }
  
  private boolean canPass(HttpServletRequest request, String code) {
    String productMode = LifeStandard.getBankSettingsValue("productMode");
    if (!"true".equals(productMode))
      return true; 
    String verifyCode = code;
    System.out.println("===============".concat(String.valueOf(verifyCode)));
    request.getParameter("formId");
    HttpSession cSession;
    String verifyStr = (String)(cSession = request.getSession()).getAttribute("verifyObj");
    cSession.getAttribute("session_formid");
    cSession.removeAttribute("verifyObj");
    if (verifyStr != null && 
      verifyCode != null && verifyCode.equalsIgnoreCase(verifyStr))
      return true; 
    return false;
  }
  
  protected GENEFlowExecuteResult executeGENELogic(Context sessionContext, GENEMultipartHttpServletRequest request, HttpServletResponse response) {
    String mvcName = (String)request.getAttribute(GENEConstance.ATTR_ACTIONID);
    UploadRequest mvc = (UploadRequest)this.mvcMap.get(mvcName);
    GENEFlowExecuteResult result = new GENEFlowExecuteResult();
    GENETransactionManager transactionManager = null;
    String flowId = mvc.getBizId();
    GENELog.log(GENEConstance.GENE_MVC, GENELog.DEBUG, 0, "begin to execute flow " + flowId + " ...");
    String opId = mvc.getOpId();
    try {
      GENELog.log(GENEConstance.GENE_MVC, GENELog.DEBUG, 0, "Get flow " + flowId + "  from factory...");
      GENEFlow flow = this.geneFactory.getGENEFlow(flowId);
      result.flow = flow;
      Context context = (Context)flow.getContext().clone();
      result.context = context;
      if (sessionContext != null && context.getParentContextName() == null) {
        context.chainedTo(sessionContext);
      } else {
        GENELog.log(GENEConstance.GENE_MVC, GENELog.WARNING, 0, "The sessionContext is null , maybe a unvalid session request ...");
      } 
      transactionManager = (GENETransactionManager)context.getService(GENEConstance.TRX_SVC_NAME);
      GENELog.log(GENEConstance.GENE_MVC, GENELog.DEBUG, 0, "Update the request data ...");
      doUpdateModel((HttpServletRequest)request, context, flow, opId);
      doPreprocessModelData((HttpServletRequest)request, context, flow, opId);
      addDataField(context, GENEConstance.SERVLET_REQUEST, request);
      preContextWork((HttpServletRequest)request, sessionContext, context, mvc);
      String retValue = flow.execute(context, opId);
      if (transactionManager != null)
        transactionManager.commit(); 
      result.result = retValue;
    } catch (Exception e) {
      GENELog.log(GENEConstance.GENE_MVC, GENELog.ERROR, 0, "Failed to execute flow ".concat(String.valueOf(flowId)), e);
      result.e = e;
      if (transactionManager != null)
        transactionManager.rollback(); 
    } 
    return result;
  }
  
  public void addUploadRequest(UploadRequest mvc) {
    this.mvcMap.put(mvc.getId(), mvc);
  }
  
  public boolean isMultipart(HttpServletRequest request) {
    return ServletFileUpload.isMultipartContent(request);
  }
  
  public GENEMultipartHttpServletRequest resolverMultipart(HttpServletRequest request, UploadStatusListener listener) throws GENEException {
    List items;
    String mvcName = (String)request.getAttribute(GENEConstance.ATTR_ACTIONID);
    UploadRequest mvc;
    if ((mvc = (UploadRequest)this.mvcMap.get(mvcName)) == null) {
      Trace.logError("LifeFile", String.valueOf(mvcName) + "没有文件上传权限");
      throw new TranFailException("EBLN0000", String.valueOf(mvcName) + "没有文件上传权限");
    } 
    DiskFileItemFactory factory = new DiskFileItemFactory(this.bufferSize, new File(getTempUploadDir()));
    ServletFileUpload upload;
    (upload = new ServletFileUpload((FileItemFactory)factory)).setSizeMax(getMaxFileSize(mvc));
    try {
      items = upload.parseRequest(request);
    } catch (org.apache.commons.fileupload.FileUploadBase.SizeLimitExceededException ex) {
      Trace.logError("LifeFile", "文件上传大小超过" + (getMaxFileSize(mvc) / 1024L / 1024L) + "M", (Throwable)ex);
      throw new UploadFileFailedException("文件上传大小超过" + (getMaxFileSize(mvc) / 1024L / 1024L) + "M");
    } catch (FileUploadException ex) {
      Trace.logError("LifeFile", "文件上传请求处理失败", (Throwable)ex);
      throw new TranFailException("EBLN0000", "文件上传请求处理失败", ex);
    } 
    Map<Object, Object> parameters = new HashMap<>();
    Map<Object, Object> fileMap = new HashMap<>();
    String filePathTemp = "";
    try {
      checkFile(items, request);
    } catch (IOException iOException) {}
    String fileFolder = "";
    SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
    String fileFloderTemp = fileFolder = String.valueOf(fileFolder) + sdf.format(new Date());
    System.out.println("=========================fileFolder:".concat(String.valueOf(fileFolder)));
    addParameter("remoteFilePath", fileFolder, parameters);
    String multiFileName = "";
    String multiModifyFileName = "";
    String originalFileName = "";
    for (Iterator<FileItem> iterator = items.iterator(); iterator.hasNext(); ) {
      FileItem item;
      String fieldName = (item = iterator.next()).getFieldName();
      if (!item.isFormField()) {
        if (StringUtils.isNotEmpty(originalFileName = item.getName()) && 
          originalFileName.indexOf("\\") >= 0)
          originalFileName = StringUtils.substringAfterLast(originalFileName, "\\"); 
        if (originalFileName.length() > 0) {
          mvc.validateType(item);
          String uploadPath = getUploadDirectory();
          String finalFileName = getFileName(originalFileName);
          String uploadFolder = String.valueOf(uploadPath) + fileFolder;
          String finalFilePathName = String.valueOf(uploadPath) + fileFolder + LifeFile.DIR_SEPARATOR + originalFileName;
          File uploadedFile;
          if (!(uploadedFile = new File(uploadFolder)).exists())
            uploadedFile.mkdirs(); 
          try {
            File file = new File(finalFilePathName);
            for (int i = 0; i < 99 && 
              file.exists(); i++) {
              String prefix = "_" + RadomUtil.generateString(5);
              String str1 = originalFileName.substring(0, originalFileName.lastIndexOf("."));
              String str2 = originalFileName.substring(originalFileName.lastIndexOf(".") + 1);
              if (str1 != originalFileName && str2 != originalFileName) {
                originalFileName = String.valueOf(str1) + prefix + "." + str2;
              } else {
                originalFileName = String.valueOf(prefix) + originalFileName;
              } 
              finalFilePathName = String.valueOf(uploadPath) + fileFolder + LifeFile.DIR_SEPARATOR + originalFileName;
              file = new File(finalFilePathName);
            } 
            item.write(file);
            long fileSize = item.getSize();
            String str;
            if ((str = originalFileName.substring(originalFileName.lastIndexOf(".") + 1)).equalsIgnoreCase("jpg") || str.equalsIgnoreCase("jpeg") || str.equalsIgnoreCase("png")) {
              int flag = 0;
              if (fileSize > 2097152L)
                flag = ReduceImg.reduceImg(finalFilePathName, finalFilePathName, 500, 500, Float.valueOf(2097152.0F / (float)fileSize)); 
              if (flag < 0) {
                if (flag == -1)
                  throw new Exception("不支持此格式的压缩,请压缩至2M以下再上传"); 
                if (flag == -2)
                  throw new Exception("压缩失败"); 
                throw new Exception("压缩失败");
              } 
            } 
          } catch (Exception ex) {
            if (uploadedFile.exists())
              uploadedFile.delete(); 
            Trace.logError("LifeFile", "文件[" + finalFilePathName + "]上传失败," + ex.getMessage(), ex);
            throw new TranFailException("EBLN0000", "文件[" + originalFileName + "]上传失败," + ex.getMessage(), ex);
          } 
          if (mvc.isAbsoluteFile()) {
            fileMap.put(fieldName, new GENEMultipartFile(fieldName, finalFilePathName, originalFileName));
          } else {
            fileMap.put(fieldName, new GENEMultipartFile(fieldName, finalFileName, originalFileName));
          } 
          addParameter(fieldName, originalFileName, parameters);
          multiFileName = String.valueOf((multiFileName == "") ? "" : (String.valueOf(multiFileName) + ",")) + originalFileName;
          System.out.println("=========================multiFileName:".concat(String.valueOf(multiFileName)));
        } 
      } 
      if (item.isFormField())
        try {
          String fieldValue = item.getString("UTF-8");
          if (fieldName.equals("TempPathList.path")) {
            multiModifyFileName = fieldValue;
            continue;
          } 
          addParameter(fieldName, fieldValue, parameters);
        } catch (UnsupportedEncodingException e) {
          Trace.logWarning("LifeFile", "不支持的编码", e);
        }  
    } 
    if (!multiFileName.equals("")) {
      String[] mmfArr = multiModifyFileName.split(",");
      String[] mfnArr = multiFileName.split(",");
      String[] newArr = new String[mmfArr.length];
      if (mmfArr.length > 0)
        for (int j = 0; j < mmfArr.length; j++) {
          if (j + mfnArr.length >= mmfArr.length) {
            newArr[j] = mfnArr[j + mfnArr.length - mmfArr.length];
          } else {
            newArr[j] = mmfArr[j];
          } 
        }  
      String newMultiFileName = "";
      for (int i = 0; i < newArr.length; i++)
        newMultiFileName = String.valueOf(newMultiFileName) + (newMultiFileName.equals("") ? newArr[i] : ("," + newArr[i])); 
      multiFileName = newMultiFileName;
      addParameter("TempPathList.path", multiFileName, parameters);
    } 
    String returnPath;
    int index = (returnPath = String.valueOf(filePathTemp) + fileFloderTemp).indexOf("upload");
    returnPath = returnPath.substring(index);
    fileMap.put("fileFolder", fileFloderTemp);
    fileMap.put("filePath", returnPath);
    fileMap.put("fileName", originalFileName);
    GENEMultipartHttpServletRequest gENEMultipartHttpServletRequest;
    return gENEMultipartHttpServletRequest = new GENEMultipartHttpServletRequest(request, parameters, fileMap);
  }
  
  public boolean checkFile(List items, HttpServletRequest request) throws IOException, TranFailException {
    for (Iterator<FileItem> iterator = items.iterator(); iterator.hasNext(); ) {
      String fileType, str;
      FileItem item;
      String fieldName = (item = iterator.next()).getFieldName();
      if (!item.isFormField()) {
        String originalFileName;
        if ((originalFileName = item.getName()).length() > 0) {
          item.getSize();
          if (((str = originalFileName.substring(originalFileName.lastIndexOf(".") + 1)).equalsIgnoreCase("jpg") || str.equalsIgnoreCase("jpeg") || str.equalsIgnoreCase("png")) && ((
            
            fileType = FileTypeUtil.getType(item.getInputStream())) == null || (!fileType.equalsIgnoreCase("jpg") && 
            !fileType.equalsIgnoreCase("jpeg") && !fileType.equalsIgnoreCase("png"))))
            throw new TranFailException("fileError", "非法图片"); 
        } 
        continue;
      } 
      if (fileType.isFormField() && 
        str.equals("checkCode")) {
        String fieldValue = fileType.getString("UTF-8");
        String productMode = LifeStandard.getBankSettingsValue("productMode");
        if ("true".equals(productMode)) {
          boolean bool;
          if (!(bool = canPass(request, fieldValue)))
            throw new TranFailException("EBLN5006", "验证码输入有误，请重新输入验证码"); 
        } 
      } 
    } 
    return true;
  }
  
  public void cleanup(MultipartHttpServletRequest request) {}
  
  private long getMaxFileSize(UploadRequest mvc) {
    long mvcMaxSize;
    return ((mvcMaxSize = mvc.getMaxFileSize()) > 0L) ? mvcMaxSize : this.maxFileSize;
  }
  
  private void checkFolder(String folderPath) {
    if (!(new File(folderPath)).isDirectory()) {
      Trace.logError("LifeFile", "本地目录--->" + folderPath + " 不可用");
      LifeFile.makeMultiDirectory(folderPath);
    } 
  }
  
  private void addParameter(String key, String value, Map<String, String[]> map) {
    Object preValueObj;
    if ((preValueObj = map.get(key)) == null) {
      map.put(key, new String[] { value });
      return;
    } 
    int len;
    String[] sArr = new String[(len = ((String[])preValueObj).length) + 1];
    System.arraycopy(preValueObj, 0, sArr, 0, len);
    sArr[len] = value.trim();
    map.put(key, sArr);
  }
  
  protected String getUploadDirectory() {
    String str;
    if (!this.tmpFile) {
      str = String.valueOf(LifeFile.getFileRootPath()) + this.uploadFileFolder + LifeFile.DIR_SEPARATOR;
    } else {
      str = String.valueOf(LifeFile.getTempFileRootPath()) + this.uploadFileFolder + LifeFile.DIR_SEPARATOR + 
        LifeStandard.getServerTime("yyyyMMdd") + LifeFile.DIR_SEPARATOR;
    } 
    checkFolder(str);
    return str;
  }
  
  protected String getTempUploadDir() {
    String dir = String.valueOf(LifeFile.getTempFileRootPath()) + this.tempFileFolder + LifeFile.DIR_SEPARATOR;
    checkFolder(dir);
    return dir;
  }
  
  protected String getFileName(String fileName) {
    String generateName = String.valueOf(LifeStandard.getServerTime("yyyyMMddHHmmssSSS")) + (new Random()).nextInt(1000);
    int dotPos;
    if ((dotPos = fileName.lastIndexOf(".")) > 0)
      return String.valueOf(generateName) + fileName.substring(dotPos); 
    return generateName;
  }
  
  public void setMaxFileSize(String maxFileSize) {
    this.maxFileSize = Long.parseLong(maxFileSize);
  }
  
  public void setBufferSize(String bufferSize) {
    this.bufferSize = Integer.parseInt(bufferSize);
  }
  
  public void setTempFileFolder(String tempFileFolder) {
    this.tempFileFolder = tempFileFolder;
  }
  
  public void setUploadFileFolder(String uploadFileFolder) {
    this.uploadFileFolder = uploadFileFolder;
  }
  
  public boolean isInCharge(HttpServletRequest request) {
    String actionId = (String)request.getAttribute(GENEConstance.ATTR_ACTIONID);
    if (this.mvcMap != null && this.mvcMap.get(actionId) != null)
      return true; 
    return false;
  }
  
  protected void preActionWork(HttpServletRequest request, Context sessionContext, UploadRequest mvc) throws TranFailException {}
  
  protected void pstActionWork(HttpServletRequest request, Context sessionContext, UploadRequest mvc, Throwable throwable) throws TranFailException {}
  
  protected void preContextWork(HttpServletRequest request, Context sessionContext, Context context, UploadRequest mvc) throws TranFailException {
    if (mvc != null)
      if (mvc.isCheckSession())
        addBusinessInfo(request, context, mvc);  
  }
  
  public boolean isTmpFile() {
    return this.tmpFile;
  }
  
  public void setTmpFile(boolean tmpFile) {
    this.tmpFile = tmpFile;
  }
  
  public ModelAndView handleException(HttpServletRequest request, HttpServletResponse response, Exception e) {
    Map<Object, Object> model;
    (model = new HashMap<>()).put(GENEConstance.ATTR_EXCEPTION, e);
    UploadView uploadView = new UploadView();
    return new ModelAndView(model, uploadView);
  }
  
  private void addBusinessInfo(HttpServletRequest request, Context context, UploadRequest mvc) throws TranFailException {
    if (mvc != null) {
      TranFailException e;
      MVCEntity mvcEntity;
      String appKey = request.getParameter(TEntity.appKeyFieldname);
      Session session = (Session)this.sessionManager.getSessions().get(appKey);
      String cacheServiceFlag = LifeStandard.getSelfDefineSettingsValue("cacheServiceFlag");
      if ("true".equals(cacheServiceFlag)) {
        Cache cache;
        try {
          cache = LifeStandard.getCache("sessionData_cache");
        } catch (TranFailException tranFailException) {
          (e = null).printStackTrace();
          throw new TranFailException(e);
        } 
        mvcEntity = (MVCEntity)cache.get(appKey);
      } else {
        mvcEntity = (MVCEntity)mvcEntity.getAttribute(appKey);
      } 
      mvcEntity.getBankId();
      mvcEntity.getChannel();
      e.getParameter(TEntity.responseFormat);
      e.getRequestURI();
      e.getMethod();
      context.put(TEntity.LOGIN_ID, mvcEntity.getLogonId());
      context.put(TEntity.USER_NAME, mvcEntity.getUserName());
      context.put(TEntity.USER_BELONGS_BRANCH, mvcEntity.getUserBelongsBranch());
      context.put(TEntity.USER_BRANCH_ID, mvcEntity.getUserBranchId());
      context.put(TEntity.BRANCHNAME, mvcEntity.getBranchName());
      context.put(TEntity.REGIONS_IDS, mvcEntity.getRegionIds());
      context.put(TEntity.USER_PHONE, mvcEntity.getUserPhone());
      context.put(TEntity.ROLE_ID, mvcEntity.getRoleId());
      context.put(TEntity.ROLE_TYPE, mvcEntity.getRoleType());
      context.put(TEntity.USER_ID, mvcEntity.getUserId());
      context.put(TEntity.COR_ORECODE, mvcEntity.getSession_orgCode());
      context.put(TEntity.CLASSNO, mvcEntity.getClassNo());
      context.put(TEntity.appKeyFieldname, appKey);
    } 
  }
}
